Skip to main content
GET
/
api
/
v2
/
public
/
application
/
event
/
:event_id
curl -X GET "https://app.refold.ai/api/v2/public/application/event/{event_id}" \
  -H "x-api-key: YOUR_API_KEY"
{
  "_id": "6a314123d0aeb8165be4f175",
  "name": "candidate_created",
  "response": [
    { "key": "event", "type": "text" },
    { "key": "payload", "type": "object" },
    { "key": "payload.email", "type": "text" }
  ]
}
Retrieve a single custom event (trigger) from your organization’s default custom application by its ID.

Authentication

Events are defined at the org level, so this endpoint uses API-key auth.
x-api-key
string
required
Your Refold API key. Find it in Settings → Credentials.

Path Parameters

event_id
string
required
The event ID.Example: 6a314123d0aeb8165be4f175

Response

_id
string
Event ID.
name
string
Event name.
response
array
Parsed payload field map ({key, type}).
{
  "_id": "6a314123d0aeb8165be4f175",
  "name": "candidate_created",
  "response": [
    { "key": "event", "type": "text" },
    { "key": "payload", "type": "object" },
    { "key": "payload.email", "type": "text" }
  ]
}
curl -X GET "https://app.refold.ai/api/v2/public/application/event/{event_id}" \
  -H "x-api-key: YOUR_API_KEY"